## ros-melodic-grid-map-msgs 1.6.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(grid_map_msgs)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  std_msgs
  geometry_msgs
  message_generation
)

#######################################
## Declare ROS messages and services ##
#######################################

## Generate messages in the 'msg' folder
add_message_files(
  FILES
  GridMapInfo.msg
  GridMap.msg
)

## Generate services in the 'srv' folder
add_service_files(
  FILES
  SetGridMap.srv
  GetGridMap.srv
  GetGridMapInfo.srv
  ProcessFile.srv
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  std_msgs
  geometry_msgs
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need

catkin_package(
    #INCLUDE_DIRS include
    #LIBRARIES
    CATKIN_DEPENDS
        geometry_msgs
        message_runtime
        std_msgs
    #DEPENDS
)

=== debian/changelog ===
ros-melodic-grid-map-msgs (1.6.2-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 13 Oct 2019 22:00:00 -0000

ros-melodic-grid-map-msgs (1.6.1-1stretch) stretch; urgency=high

  * Merge remote-tracking branch 'origin/master' into fix/melodic
  * Merge pull request #198 <https://github.com/ANYbotics/grid_map/issues/198> from ANYbotics/feature/extend_process_file_srv
    Extend ProcessFile.srv to include topic_name field.
  * Restore single topic_name field, as discussed with Peter.
  * Update ProcessFile.srv
  * Extend ProcessFile.srv to include topic_name field.
  * Updated author e-mail address.
  * Contributors: Marco Tranzatto, MarcoSuetterlin, Peter Fankhauser, Péter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-melodic-grid-map-msgs (1.6.0-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Thu, 23 Nov 2017 23:00:00 -0000

ros-melodic-grid-map-msgs (1.5.2-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 24 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-msgs (1.5.1-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 24 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-msgs (1.5.0-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-msgs (1.4.2-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 23 Jan 2017 23:00:00 -0000

ros-melodic-grid-map-msgs (1.4.1-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sat, 22 Oct 2016 22:00:00 -0000

ros-melodic-grid-map-msgs (1.4.0-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 21 Aug 2016 22:00:00 -0000

ros-melodic-grid-map-msgs (1.3.3-1stretch) stretch; urgency=high

  * Release for ROS Kinetic.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-melodic-grid-map-msgs (1.3.2-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-melodic-grid-map-msgs (1.3.1-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-melodic-grid-map-msgs (1.3.0-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 25 Apr 2016 22:00:00 -0000

ros-melodic-grid-map-msgs (1.2.0-1stretch) stretch; urgency=high

  * [grid_map_msgs] package exports
  * Contributors: Daniel Stonier

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Wed, 02 Mar 2016 23:00:00 -0000

ros-melodic-grid-map-msgs (1.1.3-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 10 Jan 2016 23:00:00 -0000

ros-melodic-grid-map-msgs (1.1.2-1stretch) stretch; urgency=high

  * Should fix errors on build server regarding Eigen3 and visualization_msgs dependencies.

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 10 Jan 2016 23:00:00 -0000

ros-melodic-grid-map-msgs (1.1.1-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 10 Jan 2016 23:00:00 -0000

ros-melodic-grid-map-msgs (1.1.0-1stretch) stretch; urgency=high

  * added new srv definition for processing of grid map files
  * general improvements and bugfixes

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Thu, 07 Jan 2016 23:00:00 -0000

ros-melodic-grid-map-msgs (1.0.0-1stretch) stretch; urgency=high

  * release for Springer ROS Book Chapter

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Thu, 19 Nov 2015 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-grid-map-msgs
Section: misc
Priority: optional
Maintainer: Péter Fankhauser <pfankhauser@anybotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-roscpp, ros-melodic-std-msgs
Homepage: http://github.com/anybotics/grid_map
Standards-Version: 3.9.2

Package: ros-melodic-grid-map-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-message-runtime, ros-melodic-roscpp, ros-melodic-std-msgs
Description: Definition of the multi-layered grid map message type.

## ros-melodic-grid-map-msgs 1.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.5.1)
 project(grid_map_msgs)
 
 ## Find catkin macros and libraries

=== debian/changelog ===
ros-melodic-grid-map-msgs (1.6.4-2bionic) bionic; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 03 Dec 2020 23:00:00 -0000

ros-melodic-grid-map-msgs (1.6.2-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 13 Oct 2019 22:00:00 -0000

ros-melodic-grid-map-msgs (1.6.1-2bionic) bionic; urgency=high

  * Merge remote-tracking branch 'origin/master' into fix/melodic
  * Merge pull request #198 <https://github.com/ANYbotics/grid_map/issues/198> from ANYbotics/feature/extend_process_file_srv
    Extend ProcessFile.srv to include topic_name field.
  * Restore single topic_name field, as discussed with Peter.
  * Update ProcessFile.srv
  * Extend ProcessFile.srv to include topic_name field.
  * Updated author e-mail address.
  * Contributors: Marco Tranzatto, MarcoSuetterlin, Peter Fankhauser, Péter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-melodic-grid-map-msgs (1.6.0-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Thu, 23 Nov 2017 23:00:00 -0000

ros-melodic-grid-map-msgs (1.5.2-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 24 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-msgs (1.5.1-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 24 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-msgs (1.5.0-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-msgs (1.4.2-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 23 Jan 2017 23:00:00 -0000

ros-melodic-grid-map-msgs (1.4.1-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sat, 22 Oct 2016 22:00:00 -0000

ros-melodic-grid-map-msgs (1.4.0-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 21 Aug 2016 22:00:00 -0000

ros-melodic-grid-map-msgs (1.3.3-2bionic) bionic; urgency=high

  * Release for ROS Kinetic.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-melodic-grid-map-msgs (1.3.2-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-melodic-grid-map-msgs (1.3.1-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-melodic-grid-map-msgs (1.3.0-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 25 Apr 2016 22:00:00 -0000

ros-melodic-grid-map-msgs (1.2.0-2bionic) bionic; urgency=high

  * [grid_map_msgs] package exports
  * Contributors: Daniel Stonier

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Wed, 02 Mar 2016 23:00:00 -0000

ros-melodic-grid-map-msgs (1.1.3-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 10 Jan 2016 23:00:00 -0000

ros-melodic-grid-map-msgs (1.1.2-2bionic) bionic; urgency=high

  * Should fix errors on build server regarding Eigen3 and visualization_msgs dependencies.

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 10 Jan 2016 23:00:00 -0000

ros-melodic-grid-map-msgs (1.1.1-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 10 Jan 2016 23:00:00 -0000

ros-melodic-grid-map-msgs (1.1.0-2bionic) bionic; urgency=high

  * added new srv definition for processing of grid map files
  * general improvements and bugfixes

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Thu, 07 Jan 2016 23:00:00 -0000

ros-melodic-grid-map-msgs (1.0.0-2bionic) bionic; urgency=high

  * release for Springer ROS Book Chapter

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Thu, 19 Nov 2015 23:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-melodic-grid-map-msgs
 Section: misc
 Priority: optional
-Maintainer: Péter Fankhauser <pfankhauser@anybotics.com>
+Maintainer: Maximilian Wulf <mwulf@anybotics.com>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-roscpp, ros-melodic-std-msgs
 Homepage: http://github.com/anybotics/grid_map
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-grid-map-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
